Summary: symbolic debugger for C and other languages
Name: gdb
Version: 4.16
Release: 5
Copyright: GPL
Group: Development/Debuggers
Source: prep.ai.mit.edu:/pub/gnu/gdb-4.16.tar.gz
Source1: ftp://prep.ai.mit.edu/pub/gnu/binutils-2.7.0.2.tar.gz
Patch: gdb-4.16sparc.patch.gz
Patch1: gdb-4.16axp.patch.gz
Patch2: gdb-4.16axp-2.diff.gz
Patch3: ftp://ftp.azstarnet.com/pub/linux/axp/glibc/gdb-4.16axp-3.diff.gz

%description
This is a full featured, command driven debugger. It allows you to
trace the exectuion of programs and examine their internal state
at any time. It works for C and C++ compiled with the GNU C compiler
gcc.

%prep 
%setup

%ifarch sparc
%patch -p1
%endif

%ifarch axp
%setup -T -D -a 1
rm -rf bfd opcodes include
mv binutils-2.7.0.2/bfd binutils-2.7.0.2/include binutils-2.7.0.2/opcodes .
rm -rf binutils-2.7.0.2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%endif

%build
./configure --prefix=/usr 
make "CFLAGS=$RPM_OPT_FLAGS"
make info

%install
cp gdb/gdb /usr/bin
strip /usr/bin/gdb
cp gdb/gdb.1 /usr/man/man1

for n in gdb/doc/gdb.info* gdb/doc/gdbint.info* gdb/doc/stabs.info*; do
    b=`basename $n`
    cp $n /usr/info
    gzip -fn9 /usr/info/$b
done

%files
/usr/bin/gdb
/usr/man/man1/gdb.1
/usr/info/gdb.info*gz
/usr/info/gdbint.info*gz
/usr/info/stabs.info*gz
